package pt.uc.dei.crf_ma;

public class EvaluationResults {
	private double numTokens;
	private double tokenAccuracy;
	private double precision;
	private double recall;
	private double f1;

	public EvaluationResults(double precision, double recall, double f1) {
		super();
		this.precision = precision;
		this.recall = recall;
		this.f1 = f1;
	}

	public double getPrecision() {
		return precision;
	}

	public void setPrecision(double precision) {
		this.precision = precision;
	}

	public double getRecall() {
		return recall;
	}

	public void setRecall(double recall) {
		this.recall = recall;
	}

	public double getF1() {
		return f1;
	}

	public void setF1(double f1) {
		this.f1 = f1;
	}

	public double getNumTokens() {
		return numTokens;
	}

	public void setNumTokens(double numTokens) {
		this.numTokens = numTokens;
	}

	public double getTokenAccuracy() {
		return tokenAccuracy;
	}

	public void setTokenAccuracy(double tokenAccuracy) {
		this.tokenAccuracy = tokenAccuracy;
	}
}
